Permalink
Browse files

skip test on win32 tokuhirom/Module-Build-Pluggable#2

  • Loading branch information...
1 parent 518e95f commit a6fb17ee0570ae1f8fdbd8ca0ad1822488ee3c46 @kazeburo committed Sep 19, 2013
Showing with 12 additions and 7 deletions.
  1. +7 −7 META.json
  2. +1 −0 cpanfile
  3. +4 −0 t/01_basic.t
View
@@ -25,13 +25,6 @@
]
},
"prereqs" : {
- "build" : {
- "requires" : {
- "Capture::Tiny" : "0.21",
- "Test::More" : "0.98",
- "Test::Requires" : "0"
- }
- },
"configure" : {
"requires" : {
"CPAN::Meta" : "0",
@@ -56,6 +49,13 @@
"perl" : "5.008005",
"version" : "0.99"
}
+ },
+ "test" : {
+ "requires" : {
+ "Capture::Tiny" : "0.21",
+ "Test::More" : "0.98",
+ "Test::Requires" : "0"
+ }
}
},
"release_status" : "unstable",
View
@@ -3,6 +3,7 @@ requires 'Module::Build::Pluggable', '0.05';
requires 'Module::CPANfile', '0.9010';
requires 'parent';
requires 'version', '0.99';
+requires 'perl', '5.008005';
on test => sub {
requires 'Capture::Tiny', '0.21';
View
@@ -8,6 +8,10 @@ use version;
use Capture::Tiny ':all';
use File::Spec;
+if ( $^O eq 'MSWin32' ) {
+ plan skip_all => 'Skip test on Windows';
+}
+
require Module::Build;
my $support_test_requries =
( version->parse($Module::Build::VERSION) >= version->parse('0.4004') ) ? 1 : 0;

0 comments on commit a6fb17e

Please sign in to comment.